org.apache.poi.hpsf.extractor

## Class HPSFPropertiesExtractor

- java.lang.Object
- - org.apache.poi.extractor.POITextExtractor
  - - org.apache.poi.extractor.POIOLE2TextExtractor
    - - org.apache.poi.hpsf.extractor.HPSFPropertiesExtractor

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable

      public class HPSFPropertiesExtractor
      extends POIOLE2TextExtractor

  Extracts all of the HPSF properties, both build in and custom, returning them in textual form.

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.extractor.POIOLE2TextExtractor

      `document`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HPSFPropertiesExtractor(POIDocument doc)`
    `HPSFPropertiesExtractor(POIFSFileSystem fs)`
    `HPSFPropertiesExtractor(POIOLE2TextExtractor mainExtractor)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.String` | `getDocumentSummaryInformationText()`
    `POITextExtractor` | `getMetadataTextExtractor()` Prevent recursion!
    `java.lang.String` | `getSummaryInformationText()`
    `java.lang.String` | `getText()` Retrieves all the text from the document.
    `int` | `hashCode()`
    `static void` | `main(java.lang.String[] args)`

    - ### Methods inherited from class org.apache.poi.extractor.POIOLE2TextExtractor

      `getDocSummaryInformation, getDocument, getRoot, getSummaryInformation`

    - ### Methods inherited from class org.apache.poi.extractor.POITextExtractor

      `close, setFilesystem`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HPSFPropertiesExtractor

          public HPSFPropertiesExtractor(POIOLE2TextExtractor mainExtractor)

    - #### HPSFPropertiesExtractor

          public HPSFPropertiesExtractor(POIDocument doc)

    - #### HPSFPropertiesExtractor

          public HPSFPropertiesExtractor(POIFSFileSystem fs)

  - ### Method Detail

    - #### getDocumentSummaryInformationText

          public java.lang.String getDocumentSummaryInformationText()

    - #### getSummaryInformationText

          public java.lang.String getSummaryInformationText()

    - #### getText

          public java.lang.String getText()

      Description copied from class: `POITextExtractor`
      Retrieves all the text from the document. How cells, paragraphs etc are separated in the text is implementation specific - see the javadocs for a specific project for details.
      Specified by:
        `getText` in class `POITextExtractor`
      Returns:
        the text of all the properties defined in the document.

    - #### getMetadataTextExtractor

          public POITextExtractor getMetadataTextExtractor()

      Prevent recursion!
      Overrides:
        `getMetadataTextExtractor` in class `POIOLE2TextExtractor`
      Returns:
        an instance of POIExtractor that can extract meta-data.

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### main

          public static void main(java.lang.String[] args)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.